layui.use(['form', 'layer'], function () {
    var form = layui.form
    layer = parent.layer === undefined ? layui.layer : top.layer,
        $ = layui.jquery;

    form.on("submit(save)", function (data) {
        //弹出loading
        const index = top.layer.msg('数据提交中，请稍候', {icon: 16, time: false, shade: 0.8});
        //实际使用时的提交信息
        $.ajax( {
            url : "/cms/books/categories/save",
            type : "POST",
            dataType:"json",
            contentType:'application/json;charset=UTF-8',
            data:JSON.stringify({id:$("#id").val(),
                categoryCode:$("#categoryCode").val(),
                categoryName:$("#categoryName").val(),
                englishName: $("#englishName").val(),
                categoryColor: $("#categoryColor").val(),
                categoryIcon: $("#categoryIcon").val(),
                parentId: $("#parentId").val(),
                level: $("#level").val(),
                path: $("#path").val(),
                sortOrder: $("#sortOrder").val(),
                description: $("#description").val(),
                keywords: $("#keywords").val(),
                categoryStatus: $("#categoryStatus").val(),
                isVisible: $("#isVisible").val(),
                remark: $("#remark").val(),
            }),
            success : function(res) {
                console.log(res);
                layer.close(index);
                layer.msg(res.msg);
                layer.closeAll("iframe");
                //刷新父页面
                parent.location.reload();
            },
            error:function(e){
                layer.close(index);
                layer.msg("信息提交异常！");
                layer.closeAll("iframe");
                //刷新父页面
                parent.location.reload();
            }
        })
        return false;
    })
})